# Interface methods for submodule: ImagePCAShapeModelEstimator
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageShapeModelEstimatorBaseProxy as _ImageShapeModelEstimatorBaseProxy


# Interface methods for class: ImagePCAShapeModelEstimator
class ImagePCAShapeModelEstimatorProxy(_ImageShapeModelEstimatorBaseProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetNumberOfPrincipalComponentsRequired(self, n: int) -> None:
		""""""
		...

	def GetNumberOfPrincipalComponentsRequired(self) -> int:
		""""""
		...

	def SetNumberOfTrainingImages(self, n: int) -> None:
		""""""
		...

	def GetNumberOfTrainingImages(self) -> int:
		""""""
		...

	def GetEigenValues(self) -> vnl_vector:
		""""""
		...

